Using the Right-To-Left Mode in the Viewer
Our sample projects and report templates can help you learn the basics of working with our products.For right-to-left languages such as Arabic or Hebrew, the viewer interface can be mirrored. This example enables RTL mode.
Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
Setting
Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/BookmarksAndHyperlinks.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.appearance.rightToLeft = true;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" />
</template>Setting
appearance.rightToLeft = true lays the toolbar, panels and scrollbars out right-to-left for a fully localized experience.

For right-to-left languages such as Arabic or Hebrew, the viewer interface can be mirrored. This example enables RTL mode.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "rtl-viewer",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class RtlViewer {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    constructor() {
        this.report.loadFile("Reports/BookmarksAndHyperlinks.mrt");
        this.viewerOptions.appearance.rightToLeft = true;
    }
}

Setting appearance.rightToLeft = true lays the toolbar, panels and scrollbars out right-to-left for a fully localized experience.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.